struct usb_ctrlrequest
Prev | USB 2.0 Chapter 9 Types and Constants | Next

## Name

struct usb_ctrlrequest — SETUP data for a USB device control request

## Synopsis

    struct usb_ctrlrequest {
      __u8 bRequestType;
      __u8 bRequest;
      __le16 wValue;
      __le16 wIndex;
      __le16 wLength;
    };

## Members

bRequestType

  matches the USB bmRequestType field

bRequest

  matches the USB bRequest field

wValue

  matches the USB wValue field (le16 byte order)

wIndex

  matches the USB wIndex field (le16 byte order)

wLength

  matches the USB wLength field (le16 byte order)

## Description

This structure is used to send control requests to a USB device. It matches the different fields of the USB 2.0 Spec section 9.3, table 9-2. See the USB spec for a fuller description of the different fields, and what they are used for.

Note that the driver for any interface can issue control requests. For most devices, interfaces don't coordinate with each other, so such requests may be made at any time.

Prev | Up | Next
USB 2.0 Chapter 9 Types and Constants | Home | Core Objects and Methods